


#ifndef FUNCTIONS_H
#define FUNCTIONS_H


using namespace std;

double sin(double x);
double cos(double x);
double tan(double x);
double cosec(double x);
double sec(double x);
double cot(double x);

double asin(double x);
double acos(double x);
double atan(double x);

double sq(double x);
double cube(double x);
double cubroot(double x);
double gif(double x);
double sqrt(double x);
double mode(double x);
double fact(double x);

long long int nPr(long int n,long int r);
long long int nCr(long int n,long int r);

double ln(double x);
double logten(double x);
double log(double base,double x);
double exp(double x);
double powten(double x);
double fpow(double a,double b);
double pow(double a,double b);
double pow(double a,int b);

double inv(double x);
double roundangle(double angle);
int ndigit(double x);
long long int reversenumber(long long int n);
double sign(double x);




#endif
